### Signal

# Foundry TextManager::document-saved

since: 1.1

#### Declaration

    void
    document_saved (
      FoundryTextManager* self,
      FoundryTextDocument* document,
      gpointer user_data
    )

#### Description [src]

This signal is emitted whenever a `FoundryTextDocument` managed by the manager emits “saved”.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 1.1

#### Parameters

`document`

  Type: `FoundryTextDocument`

  A `FoundryTextDocument`.

  The data is owned by the caller of the function.